Subject: [bug#29281] [PATCH] system: vm: Use linux-libre for system-disk-image.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 13 Nov 2017 10:38:07 +0100

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> * gnu/system/vm.scm (system-disk-image): Use linux-libre instead of user
> defined kernel that may not be emulable and/or function with base-initrd.

I would rather not override ‘linux-libre’.  I find it quite useful to be
able to ‘guix system vm’ with a custom kernel; that’s one of the things
one might want to test in a VM before rebooting.

What was the use case and rationale for you?

Thanks,
Ludo’.